package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.Org;
import com.sa.ibiz.demo.demo.service.dto.OrgSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[Org] 服务对象接口
 */
public interface OrgService extends IService<Org>{

	boolean remove(Org et);
	boolean getDraft(Org et);
		Org get(Org et);
	boolean update(Org et);
		Org initUserObject(Org et);
	boolean checkKey(Org et);
		Org initAll(Org et);
	boolean create(Org et);
    List<Org> listCurChild(OrgSearchFilter filter) ;
	Page<Org> searchCurChild(OrgSearchFilter filter);
    List<Org> listDefault(OrgSearchFilter filter) ;
	Page<Org> searchDefault(OrgSearchFilter filter);
    List<Org> listCurCat(OrgSearchFilter filter) ;
	Page<Org> searchCurCat(OrgSearchFilter filter);
    List<Org> listAllRoot(OrgSearchFilter filter) ;
	Page<Org> searchAllRoot(OrgSearchFilter filter);
	/**	 实体[Org] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }